Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Papyrus » Cannot install Papyrus SW Designer 2.0 in Eclipse 2021-12 / Papyrus 6.0
Cannot install Papyrus SW Designer 2.0 in Eclipse 2021-12 / Papyrus 6.0 [message #1849176] Thu, 06 January 2022 11:22 Go to next message
Joost Kraaijeveld is currently offline Joost KraaijeveldFriend
Messages: 273
Registered: July 2009
Senior Member
Hi,

I cannot install Papyrus SW Designer 2.0 in Eclipse 2021-12 / Papyrus 6.0 from the market place or the update site. It seems that a package is missing:

Cannot complete the install because one or more required items could not be found.
Software being installed: Papyrus C++ profile, view and code generation 2.0.0.202105261452 (org.eclipse.papyrus.designer.languages.cpp.feature.feature.group 2.0.0.202105261452)
Missing requirement: Papyrus C++ code generation UI 2.0.0.202105090719 (org.eclipse.papyrus.designer.languages.cpp.codegen.ui 2.0.0.202105090719) requires 'osgi.bundle; org.eclipse.papyrus.uml.diagram.common [3.4.0,5.0.0)' but it could not be found
Cannot satisfy dependency:
From: Papyrus C++ profile, view and code generation 2.0.0.202105261452 (org.eclipse.papyrus.designer.languages.cpp.feature.feature.group 2.0.0.202105261452)
To: org.eclipse.equinox.p2.iu; org.eclipse.papyrus.designer.languages.cpp.codegen.ui [2.0.0.202105090719,2.0.0.202105090719]

Is there another way to get this version of SW Designer? E.g. are there any zips available somewhere (the download from the website does not).

TIA


Cheers,

Joost
Re: Cannot install Papyrus SW Designer 2.0 in Eclipse 2021-12 / Papyrus 6.0 [message #1849177 is a reply to message #1849176] Thu, 06 January 2022 11:55 Go to previous messageGo to next message
Ansgar Radermacher is currently offline Ansgar RadermacherFriend
Messages: 375
Registered: March 2011
Location: Paris Saclay, France
Senior Member
Dear Joost,

for the moment, you need to get a nightly build, see https://wiki.eclipse.org/Papyrus/Designer/getting-started
The update site for 2021-06 is https://ci.eclipse.org/papyrus/job/papyrus-designer-2021-12/lastSuccessfulBuild/artifact/releng/org.eclipse.papyrus.designer.p2/target/repository/

A 2.1 Designer release will be done quite soon.
Re: Cannot install Papyrus SW Designer 2.0 in Eclipse 2021-12 / Papyrus 6.0 [message #1849181 is a reply to message #1849177] Thu, 06 January 2022 12:46 Go to previous message
Joost Kraaijeveld is currently offline Joost KraaijeveldFriend
Messages: 273
Registered: July 2009
Senior Member
Hi,

Thanks. I installed it and it works.

If I encounter a bug, should I create a bugzilla issue for the Designer Component of Papyrus?


Cheers,

Joost
Previous Topic:Class Tree Table and Label
Next Topic:Papyrus doesnt work on MACOS BigSur
Goto Forum:
  


Current Time: Wed Aug 10 21:32:19 GMT 2022

Powered by FUDForum. Page generated in 0.01573 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top